#!/usr/bin/env python
# -*- coding: iso-8859-15 -*-

from qt import *
from formreadfile import *
import sys, re
if __name__ == "__main__":
	app = QApplication(sys.argv)
	f = FormReadFile()
	f.show()

	items=[]
	items.append(QListViewItem(f.ExerciseListView,"Additions"))
	items.append(QListViewItem(f.ExerciseListView,"Divisions"))
	items.append(QListViewItem(f.ExerciseListView,"Multiplications"))
	items.append(QListViewItem(f.ExerciseListView,"Soustractions"))

	try:
		fsock = open('exercices.txt')
		try:
	                dataLines = [line for line in fsock.readlines() if line[0]!='#']
		finally:
			fsock.close()
	except IOError:
		pass

	for dataLine in dataLines:
		exercice, oorq, delai, question = re.findall("^([^\\t]+)\\t+([^\\t]+)\\t+(\\d+)\\t+(\\d+)",dataLine)[0]
		op1Min, op1Max, q1, operateur, op2Min, op2Max, q2, max, q3 = re.findall("^\\[([0-9]{1,3})..([0-9]{1,3})\\](_?)([+\\-*/])\\[([0-9]{1,3})..([0-9]{1,3})\\](_?)<=([0-9]{1,3})(_?)$", oorq)[0]
		items.append(QListViewItem(items[['+', '/', '*', '-'].index(operateur)], unicode(exercice,'utf8'), oorq, delai, question))

#		print exercice, operateur, delai, question, op1Min, op1Max, op2Min, op2Max, max, (q1=='_')+(q2=='_')*2+(q3=='_')*4

	app.setMainWidget(f)
	app.exec_loop()
